<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: _AudiomanagerRoutingSoundmanagerIface Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('struct___audiomanager_routing_soundmanager_iface.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_AudiomanagerRoutingSoundmanagerIface Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4bb6a0f7d7b7df2c18a9b54f9023d308"><td class="memItemLeft" align="right" valign="top">GTypeInterface&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#a4bb6a0f7d7b7df2c18a9b54f9023d308">parent_iface</a></td></tr>
<tr class="separator:a4bb6a0f7d7b7df2c18a9b54f9023d308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2533187c934a62aa925bc33f36e0842d"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#a2533187c934a62aa925bc33f36e0842d">handle_async_abort</a> )(<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle)</td></tr>
<tr class="separator:a2533187c934a62aa925bc33f36e0842d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf21bf6e7f0a53cc0ff682ab84915916"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#aaf21bf6e7f0a53cc0ff682ab84915916">handle_async_connect</a> )(<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_connectionID, guint16 arg_sourceID, guint16 arg_sinkID, gint arg_connectionFormat)</td></tr>
<tr class="separator:aaf21bf6e7f0a53cc0ff682ab84915916"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4afe4885e0f8effeec506c7c248ce406"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#a4afe4885e0f8effeec506c7c248ce406">handle_async_disconnect</a> )(<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_connectionID)</td></tr>
<tr class="separator:a4afe4885e0f8effeec506c7c248ce406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50e3c8bf63145db7b2793f3f09a8a1a"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#ad50e3c8bf63145db7b2793f3f09a8a1a">handle_async_set_sink_volume</a> )(<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_sinkID, gint16 arg_volume, gint16 arg_ramp, guint16 arg_time)</td></tr>
<tr class="separator:ad50e3c8bf63145db7b2793f3f09a8a1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa12d6ca18a68e5ef319b6f5d4830ad3"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#afa12d6ca18a68e5ef319b6f5d4830ad3">handle_async_set_source_state</a> )(<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_sourceID, gint arg_sourceState)</td></tr>
<tr class="separator:afa12d6ca18a68e5ef319b6f5d4830ad3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l01082">1082</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a2533187c934a62aa925bc33f36e0842d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2533187c934a62aa925bc33f36e0842d">&#9670;&nbsp;</a></span>handle_async_abort</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutingSoundmanagerIface::handle_async_abort) (<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l01086">1086</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="aaf21bf6e7f0a53cc0ff682ab84915916"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf21bf6e7f0a53cc0ff682ab84915916">&#9670;&nbsp;</a></span>handle_async_connect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutingSoundmanagerIface::handle_async_connect) (<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_connectionID, guint16 arg_sourceID, guint16 arg_sinkID, gint arg_connectionFormat)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l01091">1091</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a4afe4885e0f8effeec506c7c248ce406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4afe4885e0f8effeec506c7c248ce406">&#9670;&nbsp;</a></span>handle_async_disconnect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutingSoundmanagerIface::handle_async_disconnect) (<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_connectionID)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l01100">1100</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="ad50e3c8bf63145db7b2793f3f09a8a1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad50e3c8bf63145db7b2793f3f09a8a1a">&#9670;&nbsp;</a></span>handle_async_set_sink_volume</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutingSoundmanagerIface::handle_async_set_sink_volume) (<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_sinkID, gint16 arg_volume, gint16 arg_ramp, guint16 arg_time)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l01106">1106</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="afa12d6ca18a68e5ef319b6f5d4830ad3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa12d6ca18a68e5ef319b6f5d4830ad3">&#9670;&nbsp;</a></span>handle_async_set_source_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutingSoundmanagerIface::handle_async_set_source_state) (<a class="el" href="audio__manager__interface_8h.html#a50a64aefeed571462d6ae149525f39b1">AudiomanagerRoutingSoundmanager</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_sourceID, gint arg_sourceState)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l01115">1115</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a4bb6a0f7d7b7df2c18a9b54f9023d308"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bb6a0f7d7b7df2c18a9b54f9023d308">&#9670;&nbsp;</a></span>parent_iface</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTypeInterface _AudiomanagerRoutingSoundmanagerIface::parent_iface</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l01084">1084</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>R:/SoundManagerBinding/src/dbus/<a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct___audiomanager_routing_soundmanager_iface.html">_AudiomanagerRoutingSoundmanagerIface</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
